Bug 30460 - BatchDeleteBiblio task does not deal with indexation correctly
Summary: BatchDeleteBiblio task does not deal with indexation correctly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 27344
Blocks: 32366 27341
  Show dependency treegraph
 
Reported: 2022-04-06 09:29 UTC by Jonathan Druart
Modified: 2022-11-29 14:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30460: Make BatchDeleteBiblio update the index in one request (2.35 KB, patch)
2022-04-06 11:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30460: Make BatchDeleteBiblio update the index in one request (2.35 KB, patch)
2022-04-29 17:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30460: Make BatchDeleteBiblio update the index in one request (2.41 KB, patch)
2022-05-05 14:55 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-04-06 09:29:34 UTC
skip_record_index should be passed to DelBiblio, and update the search engine's index at the end of the process.
Comment 1 Jonathan Druart 2022-04-06 11:55:04 UTC
Created attachment 132989 [details] [review]
Bug 30460: Make BatchDeleteBiblio update the index in one request

No need to send 1 indexation request per item + 1 per biblio.

Test plan:
Confirm that the batch biblio deletion tool still works correctly
Comment 2 Tomás Cohen Arazi 2022-04-29 17:18:43 UTC
Created attachment 134402 [details] [review]
Bug 30460: Make BatchDeleteBiblio update the index in one request

No need to send 1 indexation request per item + 1 per biblio.

Test plan:
Confirm that the batch biblio deletion tool still works correctly
Comment 3 Martin Renvoize 2022-05-05 14:55:25 UTC
Created attachment 134648 [details] [review]
Bug 30460: Make BatchDeleteBiblio update the index in one request

No need to send 1 indexation request per item + 1 per biblio.

Test plan:
Confirm that the batch biblio deletion tool still works correctly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-05-05 14:55:46 UTC
I'm torn by these patches.. they all improve reliability/reduce the possibility of overwhelming elasticsearch.. but they do so at the detriment of zebra by delaying indexing.

As the general movement seems to be towards ES I'm going to PQA regardless :|
Comment 5 Fridolin Somers 2022-05-05 21:21:04 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Martin Renvoize 2022-11-29 14:46:34 UTC
Crap.. I didn't get Unit Tests added for any of these module changes..